* {
  margin: 0;
  box-sizing: border-box;
}

/* ======ANIMATION====== */

.animate {
  opacity: 0;
  transition: all 0.9s ease;
  will-change: transform, opacity;
}

/* ===== FADE DOWN ===== */
.fade-down {
  transform: translateY(-40px);
}

.fade-down.visible {
  opacity: 1;
  transform: translateY(0);
}

a:focus,
button:focus {
  outline: 3px solid #FF8C00;
  outline-offset: 4px;
}

input:focus,
textarea:focus {
  outline: 3px solid #FF8C00;
}

input[type="button"]:focus {
  outline: 3px solid #FF8C00;
  outline-offset: 4px;
}



/* ======HEADER====== */

header {
  width: 100%;
  height: auto;
  background-color: #F8F7FC;
  padding: 30px;
  border-radius: 12px;
}

.hero {
  background: linear-gradient(135deg, rgba(125, 166, 247, 0.8) 35%, rgba(136, 96, 208, 0.8) 65%);
  padding: 60px;
  height: 100svh
}

.hero-container {
  background-color: #F8F7FC;
  border-radius: 12px;
  display: flex;
  flex-direction: column;
  margin: 0 auto;
  height: 100%
}

.hero-container header nav {
  font-family: "Raleway";
  font-size: 18px;
  font-weight: 600;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
}

.hero-container header nav>img {
  height: 30px;
  width: auto;
}

.hero-container header nav>ul {
  display: flex;
  gap: 60px;
  justify-content: center;
  align-items: center;
  width: 100%;
  padding: 0 20px;
}

.hero-container header nav>ul>li {
  list-style: none;
}

.hero-container header nav>ul>li>a {
  text-decoration: none;
  color: rgba(51, 51, 51, 0.8);
}

.hero-container header nav>ul>li>a:hover,
.hero-container header nav>ul>li>a.active {
  color: #813BFF;
}

.hero-container header nav>.lien-contact {
  border-style: solid;
  border-width: thin;
  border-color: rgba(51, 51, 51, 0.8);
  display: flex;
  width: 55px;
  height: 55px;
  border-radius: 50%;
  aspect-ratio: 1 / 1;
  align-items: center;
  justify-content: center;
  margin-left: auto;
}

.hero-container header nav>.lien-contact:hover {
  background-color: #813bff
}

.hero-container header nav>.lien-contact>img {
  transition: filter 0.2s ease;
}

.hero-container header nav>.lien-contact>img:hover {
  filter: brightness(0) invert(1);
}

.hero-container header nav .burger-menu {
  display: none;
  background-color: transparent;
  border: none;
}

.hero-container header nav .burger-menu>img {
  height: 30px;
  width: auto;
  cursor: pointer;
}

.hero-container header .mobile-nav {
  position: fixed;
  top: 0;
  right: 0;
  width: 60%;
  height: 100vh;
  background-color: #ffffff;
  transform: translateX(100%);
  transition: transform 0.3s ease;
  z-index: 3000;
  display: flex;
  flex-direction: column;
  gap: 60px;
  padding: 30px;
}

.hero-container header .mobile-nav .burger-menu {
  background-color: transparent;
  border: none;
  width: fit-content;
}

.hero-container header .mobile-nav.open {
  transform: translateX(0);
}

.hero-container header .mobile-nav .burger-menu>img {
  height: 30px;
  width: auto;
  cursor: pointer;
}

.hero-container header .mobile-nav .nav-group {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.hero-container header .mobile-nav .nav-group a {
  color: #2A2A35;
  text-decoration: none;
  font-size: 24px;
  font-family: "Raleway";
  font-weight: 600;
}

.hero-container header .mobile-nav .nav-links {
  display: flex;
  gap: 60px;
}

.hero-container header .mobile-nav .nav-links a img {
  height: 40px;
  width: auto;
}

.hero-container header .mobile-nav>a>img {
  height: 40px;
  width: auto;
}

.hero-container header .mobile-nav.open {
  right: 0;
}

.hero-container .hero-content {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  height: 100%;
  max-width: 1440px;
  width: 100%;
  padding: 0 30px 30px 30px;
  margin: 0 auto
}

.hero-container .hero-content .hero-content-left {
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: center
}

.hero-container .hero-content .hero-content-left h1 {
  font-family: "Poppins";
  font-weight: bold;
  font-size: clamp(32px, 10vw, 56px);
  color: #2A2A35;
  margin: 0;
  max-width: 650px
}

.hero-container .hero-content .hero-content-left h1>span {
  color: #8860d0;
}

.hero-container .hero-content .hero-content-left h2 {
  font-family: "Poppins";
  font-weight: 500;
  font-size: clamp(24px, 6vw, 48px);
  color: #2A2A35;
  margin-bottom: 50px
}

.hero-container .hero-content .hero-content-left p {
  font-family: "Raleway";
  font-size: clamp(16px, 5vw, 32px);
  color: #2A2A35;
  font-weight: 500;
}

.hero-container .hero-content .hero-content-left .key-check {
  display: flex;
  gap: 40px;
  margin: 10px 0
}

.hero-container .hero-content .hero-content-left .key-check div {
  display: flex;
  align-items: center;
  gap: 10px
}

.hero-container .hero-content .hero-content-left .key-check div p {
  font-size: 28px
}

.hero-container .hero-content .hero-content-left .hero-buttons {
  display: flex;
  flex-direction: row;
  gap: 30px;
  margin-top: 20px;
  width: 100%
}

.hero-container .hero-content .hero-content-left .hero-buttons .hero-contact-btn {
  background: linear-gradient(180deg, rgba(136, 96, 208, 1) 0%, rgba(248, 247, 252, 1) 50%);
}

.hero-container .hero-content .hero-content-left .hero-buttons .hero-contact-btn:hover,
.hero-container .hero-content .hero-content-left .hero-buttons .hero-projects-btn:hover {
  transform: translateY(-3px) scale(1.03);
}

.hero-container .hero-content .hero-content-left .hero-buttons .hero-projects-btn {
  background: linear-gradient(180deg, rgba(125, 166, 247, 1) 0%, rgba(248, 247, 252, 1) 50%);

}

.hero-container .hero-content .hero-content-left .hero-buttons .hero-contact-btn,
.hero-container .hero-content .hero-content-left .hero-buttons .hero-projects-btn {
  border: none;
  border-radius: 12px;
  padding: 10px 20px;
  box-shadow: 0 4px 6px 0 rgba(51, 51, 51, 0.15);
  transition: transform 0.2s ease, box-shadow 0.2s ease;
  cursor: pointer;
  display: flex;
  align-items: center;
  gap: 20px;
  text-decoration: none;
  color: #2A2A35;
  font-family: "Poppins";
  font-size: 24px;
  font-weight: 500;
  width: auto
}

.hero-container .hero-content .hero-content-left .hero-buttons .hero-contact-btn>img,
.hero-container .hero-content .hero-content-left .hero-buttons .hero-projects-btn>img {
  width: 30px
}

.hero-container .hero-content>img {
  width: clamp(180px, 25vw, 300px);
  aspect-ratio: 1 / 1;
  border-radius: 50%;
  object-fit: cover;
  object-position: 100% 0%;
  margin: 0 auto
}

h1,
h2,
h3,
h4 {
  font-family: "Poppins";
  color: #2A2A35;
}


/* ===== MAIN HOME ===== */
.main-home {
  display: flex;
  flex-direction: column;
  align-items: center;
}


.main-home section h2 {
  font-weight: bold;
  font-size: 48px;
  margin-top: 60px;
  margin-bottom: 40px;
}

.main-home section h3 {
  font-size: 32px;
  margin: 0;
}

.main-home section h4 {
  font-size: 24px
}

/* ===== ABOUT ===== */
.about-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 0 60px 60px 60px;
  background-color: #F8F7FC;
  width: 100%
}

.about-section h2 {
  text-align: center
}

.about-section .about-content {
  display: flex;
  flex-direction: column;
  max-width: 1440px;
  width: 100%;
  align-items: center;
  justify-content: center;
}

.about-section .about-content>div {
  display: flex;
  justify-content: space-between;
  gap: 60px
}

.about-content div>p {
  font-size: 18px;
  font-family: "Raleway";
  max-width: 50%;
  line-height: 1.5;
}

.about-content div>p span {
  font-weight: 600;
}

.about-content div>blockquote {
  font-family: "Poppins";
  font-weight: 200;
  font-style: italic;
  font-size: 24px;
}

.about-content div>blockquote>p {
  font-family: "Poppins";
  font-weight: 500;
  font-size: 18px;
  margin-bottom: 0;
  margin-top: 28px;
}

.cta-secondary-btn {
  background: linear-gradient(180deg, rgba(125, 166, 247, 1) 0%, rgba(248, 247, 252, 1) 50%);
  border: none;
  height: 55px;
  border-radius: 12px;
  padding: 0 30px;
  box-shadow: 0 4px 6px 0 rgba(51, 51, 51, 0.15);
  transition: transform 0.2s ease, box-shadow 0.2s ease;
  cursor: pointer;
  display: flex;
  align-items: center;
  gap: 20px;
  text-decoration: none;
  color: #2A2A35;
  font-family: "Poppins";
  font-size: 20px;
  font-weight: 500;
  width: auto;
  margin-right: auto;
  margin-top: 30px
}

.cta-secondary-btn>img {
  width: 30px;
}

.cta-secondary-btn:hover {
  transform: translateY(-3px) scale(1.03);
}

/* ===== PROJECTS ===== */
.projects-section {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 0 30px 60px 30px;
  background-color: #EEF2FF
}

.projects-section .project-section-title {
  margin: 30px 0 30px 0;
}

.cards-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 60px;
  align-items: center;
  justify-content: center;
  max-width: 1440px;
  width: 100%;
  margin-bottom: 30px
}

.card {
  background-color: transparent;
  max-width: 400px;
  width: 100%;
  height: auto;
  box-shadow: 0 6px 16px rgba(51, 51, 51, 0.08),
    0 12px 28px rgba(125, 166, 247, 0.12);
  position: relative;
  overflow: hidden;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  border-radius: 6px;
  cursor: pointer;
  border: none;
  text-align: center;
  padding: 0;
}

.card>img {
  aspect-ratio: 4 / 3;
  width: 100%;
  object-fit: cover;
  object-position: left;
}

.card-overlay {
  position: absolute;
  inset: 0;
  background: rgba(125, 166, 247, 0.8);
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  transition: opacity 0.3s ease;
}

.card-overlay span {
  color: #2A2A35;
  font-family: "Poppins";
  font-size: 32px;
  font-weight: 500;
}

.card-content {
  background: #fff;
  padding: 16px 20px;
  border-radius: 0 0 12px 12px;

}

.card-content h4 {
  margin: 0;
  font-family: "Poppins";
  font-size: 24px;
  font-weight: 600;
  color: #8860D0;
}

.card-content p {
  margin: 4px 0 0;
  font-size: 18px;
  color: rgba(51, 51, 51, 0.7);
}

/* HOVER */
.card:hover {
  transform: scale(1.05);
  box-shadow: 0 14px 36px rgba(125, 166, 247, 0.32);
}

.card:hover .card-overlay {
  opacity: 1;
}

/* ===== MODALE PROJET =====*/

body.modal-open {
  overflow: hidden;
}

body.modal-open .scroll-top-btn {
  z-index: 0;
}

.modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100dvh;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: flex-end;
  align-items: center;
  z-index: 1000;
  opacity: 0;
  animation: fadeIn 0.3s forwards;
}

@keyframes fadeIn {
  to {
    opacity: 1;
  }
}

.modal-content {
  background-color: #F8F7FC;
  width: 80vw;
  max-width: 650px;
  height: 100dvh;
  padding: 30px;
  box-shadow: -5px 0 20px rgba(0, 0, 0, 0.2);
  position: relative;
  transform: translateX(100%);
  animation: slideIn 0.3s forwards;
  overflow-y: auto;
  display: flex;
  flex-direction: column
}

.modal-content .modal-close {
  position: absolute;
  top: 15px;
  right: 20px;
  font-size: 22px;
  background: none;
  border: none;
  cursor: pointer;
  color: #8860D0;
}

.modal-content .project-title {
  font-family: "Poppins";
  font-size: 28px;
  font-weight: 600;
  margin: 20px 0;
}

.modal-content>img {
  width: 100%;
  max-width: 600px;
  height: 400px;
  object-fit: cover;
  box-shadow:
    0 4px 12px rgba(51, 51, 51, 0.08),
    0 10px 28px rgba(125, 166, 247, 0.12);
}

.modal-content .technology-list {
  margin: 20px 0 0 0;
  padding: 0;
  display: flex;
  gap: 10px;
  flex-wrap: wrap;
}

.modal-content .technology-list>li {
  list-style: none;
  font-family: "Raleway";
  font-size: 16px;
  font-weight: 600;
  margin-bottom: 5px;
  margin-top: 0;
  border-style: solid;
  border-width: 1px;
  border-color: #8860D0;
  color: #8860D0;
  width: fit-content;
  padding: 5px 10px;
  border-radius: 10px;
  cursor: default;
}

.modal-content .technology-list>li:hover {
  background-color: #8860D0;
  color: #FFFFFF;
  border-color: #8860D0;
}

.modal-content .description-title {
  font-family: "Poppins";
  font-size: 24px;
  font-weight: 600;
  width: 100%;
  height: 45px;
  color: #333333;
  display: flex;
  align-items: center;
  margin: 20px 0;
}

.modal-content .text {
  font-family: "Raleway";
  color: #333333;
  font-size: 18px;
  margin-top: 0;
  white-space: pre-line;
  line-height: 1.5;

}

.modal-content>.cta-secondary-btn {
  margin-top: 30px;
  width: auto;
  padding: 10px 30px
}

@keyframes slideIn {
  to {
    transform: translateX(0);
  }
}

/* ===== WHY CHOSE ME ===== */
.why-section {
  display: flex;
  justify-content: center;
  flex-direction: column;
  width: 100%;
  padding: 0 60px 60px 60px;
  background: linear-gradient(135deg, rgba(125, 166, 247, 0.8) 35%, rgba(136, 96, 208, 0.8) 65%);
}

.why-container {
  max-width: 1440px;
  display: flex;
  align-items: center;
  width: 100%
}

.why-left {
  width: 50%;
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.why-section .why-left>p {
  font-family: "Raleway";
  font-size: 18px;
  font-weight: 400;
  line-height: 1.5;
  color: #000000
}

.why-section .why-left>p>span {
  font-weight: 600
}

.why-section .why-container>img {
  margin-left: auto;
  margin-right: auto
}

.why-section .why-container .why-left .cta-secondary-btn {
  border-style: solid;
  border-width: thin;
  border-color: #F8F7FC
}

/* ===== SERVICES ===== */
.services-section {
  background-color: #F8F7FC;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  padding: 0 20px;
}

.services-section>h2,
.services-section>h3 {
  text-align: center
}

.services-cards {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 60px;
  align-items: stretch;
  justify-content: center;
  max-width: 1440px;
  padding-bottom: 60px;
  margin-top: 30px
}

.service-card {
  max-width: 380px;
  width: 100%;
  height: 610px;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;
  border-radius: 12px;
  box-shadow: 0 10px 30px rgba(51, 51, 51, 0.2);
  background-color: #F8F7FC;
  transition: all 0.45s ease;
}

.service-card>.img-circle {
  width: 160px;
  height: 160px;
  border-radius: 50%;
  border: 2px solid #7DA6F7;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 20px
}

.service-card>.img-circle>img {
  height: auto;
  width: 100px;
}

.service-card>h4 {
  font-family: "Poppins";
  font-size: 23px;
  font-weight: 600;
  text-align: center;
  margin: 28px 0 0 0;
  color: #8860D0;
  min-height: 68px
}

.service-card>p {
  font-family: "Raleway";
  font-size: 18px;
  font-weight: 500;
  text-align: center;
  margin-top: 20px;
  margin-bottom: 0;
  line-height: 1.5;
  color: #2A2A35;
  min-height: 110px
}

.service-card>hr {
  width: 100%;
  margin-top: 20px
}

.service-card .cta-secondary-btn {
  margin: 50px 0 0 0
}

.services-section .services-paragraph {
  border-left-style: solid;
  border-color: #8860D0;
  border-width: 5px;
  margin-bottom: 60px
}

.services-section .services-paragraph>p {

  font-size: 18px;
  font-family: "Raleway";
  margin: 30px;
  width: 700px
}

.services-section .services-paragraph>p>span {
  color: #2A2A35;
  font-weight: 700;
}

/* ===== CONTACT ===== */
.contact-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 0 20px 60px 20px;
  background-color: #EEF2FF;
  width: 100%
}

.contact-section h3 {
  font-size: 32px;
  text-align: center;
}

.contact-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 60px;
  width: 100%;
  margin-top: 50px;
}

.contact-container .contact-info {
  font-family: "Raleway";
  font-size: 18px;
  color: #2A2A35;
  line-height: 1.5;
  text-align: center;
  width: 500px
}

.contact-container .contact-info .contact-links {
  display: flex;
  justify-content: center;
  align-items: center
}

.contact-container .contact-info .contact-links>a {
  text-decoration: none
}

.contact-container .contact-info .contact-links>a>img {
  padding: 30px;
  width: 100px
}

.contact-container .contact-info>p>span {
  font-weight: 600
}

.contact-container .contact-info>p:last-child {
  font-weight: 600
}

.contact-container form {
  display: flex;
  flex-direction: column;
  max-width: 600px;
  width: 100%;
  background-color: #F8F7FC;
  padding: 30px;
  border-radius: 10px;
  box-shadow:
    0 4px 12px rgba(51, 51, 51, 0.1),
    0 10px 30px rgba(125, 166, 247, 0.2);
}

.contact-container form label {
  font-size: 18px;
  font-weight: 500;
  font-family: "Poppins";
  margin-bottom: 5px
}

.contact-container form input,
.contact-container form textarea {
  margin-bottom: 30px;
  background-color: transparent;
  border: 1px solid #2A2A35;
  font-size: 17px;
  border-radius: 12px;
  font-family: "Raleway"
}

.contact-container form input::placeholder,
.contact-container form textarea::placeholder {
  padding-left: 10px;
  color: rgba(42, 42, 53, 0.65);
}

.contact-container form textarea::placeholder {
  padding-top: 10px
}

.contact-container form input {
  height: 50px;
}

.contact-container form textarea {
  height: 200px;
}

.contact-container form button {
  font-size: 20px;
  font-family: "Poppins";
  font-weight: 600;
  height: 50px;
  background: linear-gradient(180deg, rgba(136, 96, 208, 1) 0%, rgba(248, 247, 252, 1) 50%);
  box-shadow: rgba(51, 51, 51, 0.15) 0px 4px 6px 0px;
  color: #2A2A35;
  border-radius: 12px;
  cursor: pointer;
  border: none;
  width: fit-content;
  padding: 0 30px
}

.contact-container form>p {
  font-size: 14px;
  font-family: "Raleway";
  color: #2A2A35;
  margin-top: 10px;
}

.contact-container form>p>a {
  color: #2A2A35
}

/* ===== SCROLL TOP ===== */

.scroll-top-btn {
  border-width: 2px;
  border-radius: 50%;
  aspect-ratio: 1 / 1;
  border-color: #2A2A35;
  border-style: solid;
  background-color: #8860D0;
  position: fixed;
  bottom: 30px;
  right: 30px;
  cursor: pointer;
  z-index: 1000;
  padding: 10px 4px;
  height: 60px
}

.scroll-top-btn img {
  width: 30px;
  height: 35px;
  filter: invert(0%);
  transition: filter 0.3s ease;
  padding-top: 3px;
}

.scroll-top-btn.over-footer {
  border: 0.5px solid white;
}

.scroll-top-btn.over-footer img {
  filter: invert(100%);
}

.scroll-btn.hidden {
  display: none;
}

/* ===== FOOTER ===== */

footer {
  width: 100%;
  height: auto;
  background-color: #2A2A35;
  padding: 40px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
}

footer .socials {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 40px;
}

footer .socials>a>img {
  width: 40px;
  height: 40px;
}

footer>a {
  color: #F8F7FC;
  font-family: "Raleway";
  font-size: 14px;
  letter-spacing: 5%;
  text-underline-offset: 4px
}

footer>p {
  font-family: "Raleway";
  color: #FAFAFA;
  margin: 0;
  font-size: 12px;
  text-align: center;
}

footer .copyright {
  color: #FAFAFA;
  font-family: "Raleway";
  font-weight: 300;
  font-style: italic;
  font-size: 12px;
  margin: 0;
}


/* ====== MEDIAQUERIES ====== */
@media (max-width: 1024px) {
  .hero {
    padding: 30px
  }

  header {
    padding: 30px
  }

  .hero-container .hero-content .hero-content-left h1 {
    font-size: 48px
  }

  .hero-container .hero-content .hero-content-left h2 {
    font-size: 36px;
  }

  .hero-container .hero-content .hero-content-left>p {
    font-size: 28px
  }

  .hero-container .hero-content .hero-content-left .key-check {
    gap: 20px
  }

  .hero-container .hero-content .hero-content-left .key-check>div>p {
    font-size: 20px
  }

  .hero-container .hero-content .hero-content-left .hero-buttons {
    gap: 30px;
  }

  .hero-container .hero-content .hero-content-left .hero-buttons .hero-contact-btn {
    height: 60px;
  }

  .hero-container .hero-content .hero-content-left .hero-buttons .hero-contact-btn,
  .hero-container .hero-content .hero-content-left .hero-buttons .hero-projects-btn {
    font-size: 20px;
    padding: 10px;
    gap: 10px
  }

.main-home section h2 {
  font-size: 36px
}

.main-home section h3 {
  font-size: 28px
}

.main-home section h4 {
  font-size: 20px
}

  .about-section,
  .why-section {
    padding: 0 30px 60px 30px
  }

  .projects-section .cards-grid {
    grid-template-columns: repeat(2, 1fr);
    justify-content: center;
    margin-bottom: 0
  }

  .cards-grid .card {
    max-width: 440px
  }

  .why-section .why-container>img {
    width: 250px;
    height: auto
  }

  .why-section .why-container .why-left>.cta-secondary-btn {
    padding: 10px
  }

  .services-section {
    padding: 0 30px
  }

  .services-section .services-cards {
    gap: 30px;
    grid-template-columns: repeat(2, 1fr);
  }

  .services-section .services-cards .service-card {
    padding: 20px;
    max-width: 600px;
    height: auto
  }

  .services-section .services-cards .service-card>h4 {
    min-height: 70px;
    display: flex;
    align-items: center
  }

  .services-section .services-cards .service-card>p {
    min-height: auto
  }

  .services-section .services-cards .service-card>hr {
    margin: 20px
  }

  .services-section .services-cards .service-card>.cta-secondary-btn {
    padding: 10px 20px;
    margin-top: auto;
    margin-bottom: auto
  }

  .contact-section {
    padding: 0 30px 60px 30px;
  }

  .contact-section .contact-container {
    flex-direction: column;
    align-items: center
  }
}

@media (max-width: 768px) {
  .hero {
    padding: 15px
  }

  header {
    padding: 15px
  }

  .hero-container header nav ul {
    display: none;
  }

  .hero-container header nav .lien-contact {
    display: none;
  }

  .hero-container header nav .burger-menu {
    display: block;
  }


  .hero .hero-container .hero-content {
    flex-direction: column-reverse;
    padding: 0 15px 15px 15px
  }

  .hero .hero-container .hero-content .hero-content-left {
    justify-content: space-evenly
  }

  .hero .hero-content .hero-content-left h1 {
    font-size: 36px;
    line-height: 1.4
  }

  .hero .hero-content .hero-content-left h2 {
    font-size: 28px;
    margin-bottom: 15px
  }

  .hero .hero-content .hero-content-left>p {
    font-size: 24px;
    margin-bottom: 15px
  }

  .hero .hero-container .hero-content>img {
    width: clamp(100px, 35vw, 200px);
    height: auto;
  }

  .hero .hero-container .hero-content>.hero-content-left h1,
  .hero .hero-container .hero-content>.hero-content-left h2,
  .hero .hero-container .hero-content>.hero-content-left>p {
    text-align: center
  }

  .hero .hero-container .hero-content .hero-content-left .key-check {
    flex-wrap: wrap;
    margin: 0;
    gap: 10px
  }

  .hero .hero-container .hero-content .hero-content-left .key-check>div>p {
    font-size: 24px
  }

  .hero .hero-container .hero-content .hero-content-left .key-check>div>img {
    width: 25px;
    height: auto
  }

  .hero .hero-container .hero-content .hero-content-left .key-check,
  .hero .hero-container .hero-content .hero-content-left .hero-buttons {
    justify-content: center
  }

  .hero .hero-container .hero-content .hero-content-left .hero-buttons {
    flex-direction: column;
    align-items: center;
    gap: 20px
  }

  .hero .hero-container .hero-content .hero-content-left .hero-buttons .hero-contact-btn,
  .hero .hero-container .hero-content .hero-content-left .hero-buttons .hero-projects-btn {
    padding: 10px 30px;
    width: auto;
    max-width: 100%;
    height: 60px
  }

  .main-home section h2 {
    font-size: 28px
  }

  .main-home section h3 {
    font-size: 22px
  }

  .about-section .about-content>div {
    flex-direction: column
  }

  .about-section .about-content>div>p {
    max-width: 100%
  }

  .projects-section .cards-grid {
    grid-template-columns: repeat(auto-fit, minmax(300px, 500px));
    justify-content: center
  }

  .cards-grid .card {
    max-width: 500px
  }

  .why-section h2 {
    text-align: center;
  }

  .why-section .why-container {
    flex-direction: column-reverse
  }

  .why-section .why-container>img {
    margin-bottom: 60px
  }

  .why-container .why-left {
    width: 100%
  }

  .why-section .why-container .why-left .cta-secondary-btn {
    padding: 10px 25px;
    height: 55px
  }

  .services-section .services-cards {
    gap: 30px;
    grid-template-columns: repeat(auto-fit, minmax(200px, 380px));
    width: 100%
  }

  .services-section .services-cards h4 {
    font-size: 22px
  }

  .services-section .services-paragraph>p {
    width: 100%;
    margin: 10px;
    line-height: 1.5
  }

  .contact-section .contact-container .contact-info {
    width: 100%
  }
}

@media (max-width: 425px) {
  .hero {
    padding: 10px
  }

  .hero header .mobile-nav {
    width: 100vw
  }

  .hero .hero-container .hero-content .hero-content-left>p,
  .hero .hero-container .hero-content .hero-content-left .key-check>div>p {
    font-size: 20px
  }

  .hero .hero-container .hero-content .hero-content-left .hero-buttons .hero-contact-btn,
  .hero .hero-container .hero-content .hero-content-left .hero-buttons .hero-projects-btn {
    height: 50px;
    padding: 10px 20px
  }

  .main-home section {
    padding: 0 10px 30px 10px
  }

  .main-home section h2 {
    margin: 30px 0
  }

  .about-section .about-content .cta-secondary-btn {
    margin-left: auto
  }

  .projects-section .cards-grid {
    gap: 30px
  }

  .why-section .why-container>img {
    width: 180px
  }

  .why-section .why-container .why-left .cta-secondary-btn {
    margin-left: auto
  }

  .card-content h4 {
    font-size: 18px
  }

  .modal-overlay .modal-content {
    width: 100vw
  }

  .services-section .services-cards .service-card .img-circle {
    width: 130px;
    height: 130px;
  }

  .services-section .services-cards .service-card .img-circle>img {
    width: 80px;
    height: auto;
  }

  .services-section .services-paragraph {
    margin-bottom: 30px
  }

  .contact-section .contact-container form {
    padding: 10px
  }
}

@media (max-width: 375px) {

  .hero .hero-container .hero-content .hero-content-left h1 {
    font-size: 30px
  }

  .hero .hero-container .hero-content .hero-content-left h2 {
    font-size: 26px;
    margin-bottom: 0
  }

  .hero .hero-container .hero-content .hero-content-left .hero-buttons .hero-contact-btn,
  .hero .hero-container .hero-content .hero-content-left .hero-buttons .hero-projects-btn {
    width: 100%;
    justify-content: center
  }

  .main-home section h2 {
    font-size: 26px
  }

  .main-home section h3 {
    font-size: 20px
  }

  .project-section-title {
    margin-top: 0
  }

  .why-section .why-container .why-left .cta-secondary-btn {
    width: 100%;
    padding: 10px 20px;
    gap: 10px;
    height: auto;
    text-align: center
  }

  .why-section .why-container .why-left .cta-secondary-btn img {
    width: 20px
  }

  .services-section .services-cards .service-card h4 {
    font-size: 20px
  }

  .services-section .services-cards .service-card .img-circle {
    margin-top: 0;
    width: 100px;
    height: 100px
  }

    .services-section .services-cards .service-card .img-circle >img {
    width: 50px;
    height: auto
  }

  .services-section .services-cards .service-card h4 {
    margin-top: 0
  }

  .services-section .services-cards .service-card p {
    margin-top: 0
  }

  .services-section .services-cards .service-card .cta-secondary-btn {
    width: 100%;
    justify-content: center
  }

  .contact-section .contact-container form button {
    width: 100%
  }

}

@media (max-width: 320px) {
.hero .hero-container .hero-content >img {
  display: none
}
}